Форум сообщества Runtu.org
Апрель 08, 2020, 01:01:38 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

Новости:
   Начало   Помощь Поиск Войти Регистрация  
Страниц: 1   Вниз
  Печать  
Автор Тема: Апплет для отмонтирования внешних устройств  (Прочитано 3600 раз)
0 Пользователей и 1 Гость смотрят эту тему.
maxsut
Постоялец
***
Offline Offline

Сообщений: 130


Пилигрим


« : Апрель 22, 2013, 06:34:58 »

Хотелось бы в трее заиметь себе апплет для отмонтирования внешних устройств.
Думал пакет Ejecter заработает, не тут то было. Что можно попробовать?
Записан

ΙΧΘΥΣ
HsH
Administrator
*****
Offline Offline

Сообщений: 2809



« Ответ #1 : Апрель 22, 2013, 14:16:03 »


   В чём заключается неработоспособность апплета? Какие ошибки при его запуске/работе?
Записан
maxsut
Постоялец
***
Offline Offline

Сообщений: 130


Пилигрим


« Ответ #2 : Апрель 23, 2013, 05:35:23 »

В описании Synaptic написано: Значок Ejecter становится видимым в области уведомлений только когда одно или несколько устройств подключено к компьютеру.
Так вот значок не появляется, его просто нет. Возможно это из-за того что он для гнома/юнити?

P.S.
Нашел xfce4-mount-plugin, но как написали про него на форуме Debian он "немного странный", не понравился.
« Последнее редактирование: Апрель 23, 2013, 06:06:55 от maxsut » Записан

ΙΧΘΥΣ
HsH
Administrator
*****
Offline Offline

Сообщений: 2809



« Ответ #3 : Апрель 23, 2013, 06:55:28 »

Так вот значок не появляется, его просто нет. Возможно это из-за того что он для гнома/юнити?

   При запуске из терминала есть какие-нибудь сообщения об ошибке?
Записан
maxsut
Постоялец
***
Offline Offline

Сообщений: 130


Пилигрим


« Ответ #4 : Апрель 23, 2013, 08:50:01 »

Пишет "Ошибка сегментирования".
Записан

ΙΧΘΥΣ
HsH
Administrator
*****
Offline Offline

Сообщений: 2809



« Ответ #5 : Апрель 23, 2013, 10:05:06 »


  На Launchpad есть открытый баг по данной проблеме, скорее всего это ваш случай. Попробуйте поискать другое решение/утилиту.
Записан
sfs
Местный
*****
Offline Offline

Сообщений: 671


WWW
« Ответ #6 : Апрель 23, 2013, 11:15:57 »

Попробуйте поискать другое решение/утилиту.
В аттаче ymount - скрипт на yad
Записан

maxsut
Постоялец
***
Offline Offline

Сообщений: 130


Пилигрим


« Ответ #7 : Апрель 23, 2013, 11:34:03 »

... скорее всего это ваш случай ...
"Повезло"....

sfs, "Во время распаковки файлов произошла ошибка."
Записан

ΙΧΘΥΣ
sfs
Местный
*****
Offline Offline

Сообщений: 671


WWW
« Ответ #8 : Апрель 23, 2013, 11:39:38 »

"Во время распаковки файлов произошла ошибка."
Скачал - все ок
md5sum 0d5b9a57dbeb745e37fca4f96d52ba13  ymount-1.3.1b.tar.gz
Записан

maxsut
Постоялец
***
Offline Offline

Сообщений: 130


Пилигрим


« Ответ #9 : Апрель 23, 2013, 11:46:10 »

sfs, под root'ом получилось. Подскажите как его поставить. Слово "yad" ни о чем не говорит... к сожалению.
Записан

ΙΧΘΥΣ
sfs
Местный
*****
Offline Offline

Сообщений: 671


WWW
« Ответ #10 : Апрель 23, 2013, 12:11:53 »

Распаковать в корень. Обновить меню или из консоли sudo ymount. Должен запуститься gui
Еще отмонтировать умеет gparted
Записан

maxsut
Постоялец
***
Offline Offline

Сообщений: 130


Пилигрим


« Ответ #11 : Апрель 24, 2013, 08:47:15 »

Распаковать в корень. Обновить меню или из консоли sudo ymount. Должен запуститься gui
Еще отмонтировать умеет gparted

В трее появляется какой-то аплет после этого? У меня нет проблем с отмонтированием, я просто хотел себе апплет в трее заиметь для отмонтирования (удобно это для меня)... в этом цель данной темы форума.
Записан

ΙΧΘΥΣ
sfs
Местный
*****
Offline Offline

Сообщений: 671


WWW
« Ответ #12 : Апрель 24, 2013, 09:18:06 »

В трее появляется какой-то аплет после этого?
Нет. Зачем это в трее (в фоне)? Можно сделать кнопку запуска
Если надо в трей - hillman
Это все не апплет и не Xfce. В xfce только 1 "монтирование устройств". Других не знаю
« Последнее редактирование: Апрель 24, 2013, 09:22:02 от sfs » Записан

Страниц: 1   Вверх
  Печать  
 
Перейти в:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.21 | SMF © 2006, Simple Machines Valid XHTML 1.0! Valid CSS!